#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	kservice
Version		:	5.107.0
Release		:	14.4.0.0%{?dist}
Summary		:	KDE Plugin framework for desktop services

Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2
URL		:	https://download.kde.org/stable/frameworks

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	extra-cmake-modules
BuildRequires	:	kcrash
BuildRequires	:	kdoctools
BuildRequires	:	kdbusaddons
BuildRequires	:	ki18n
#-----------------------------------------------------------------------------
%description
Service provides a plugin framework for handling desktop services. Services can
be applications or libraries. They can be bound to MIME types or handled by
application specific code.

#-----------------------------------------------------------------------------
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%{__mkdir} build
pushd build

cmake								\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}			\
	-D CMAKE_INSTALL_LIBDIR=%{_libdir}			\
	-D CMAKE_BUILD_TYPE=Release				\
	-D KDE_INSTALL_BINDIR=%{_bindir}			\
	-D KDE_INSTALL_LIBDIR=%{_libdir}			\
	-D KDE_INSTALL_INCLUDEDIR=%{_includedir}		\
	-D BUILD_TESTING=OFF 					\
	-W no-dev						\
	..

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}
popd
#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	-C build						\
	DESTDIR=%{buildroot}					\
	install

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)

%doc README.md
%{_sysconfdir}/xdg/menus/applications.menu
%{_bindir}/kbuildsycoca5
%{_includedir}/KF5/KService/*
%{_libdir}/cmake/KF5Service/*.cmake
%{_libdir}/libKF5Service.so*
%{_datadir}/%{name}types5/*.desktop
%{_datadir}/locale/*/LC_MESSAGES/%{name}5.mo
%{_datadir}/mkspecs/modules/qt_*.pri
%{_datadir}/qlogging-categories5/%{name}.categories
%{_datadir}/qlogging-categories5/%{name}.renamecategories
%{_mandir}/man8/*.8.gz
%{_mandir}/*/man8/*.8.gz

#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%changelog
